# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils versionator

DESCRIPTION="Daemon for Linkstation/Kuro PRO micro controller"
HOMEPAGE="http://buffalo.nas-central.org/download/Users/lb_worm/micro_evtd/micro_evtd"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~arm"
IUSE="terastation"
RESTRICT="mirror"

# tarballs use debian versioning format
MY_PN="micro-evtd"
MY_PVR=$(replace_version_separator 3 '-' )
MY_PV=${MY_PVR/-*/}

S="${WORKDIR}/${MY_PN}-${MY_PV}"

SRC_URI_BASE="mirror://debian/pool/main/${MY_PN:0:1}/${MY_PN}/"
SRC_URI="${SRC_URI_BASE}${MY_PN}_${MY_PV}.orig.tar.gz
		${SRC_URI_BASE}${MY_PN}_${MY_PVR}.diff.gz"

DEPEND=""
RDEPEND=""

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${DISTDIR}/${MY_PN}_${MY_PVR}.diff.gz"
	EPATCH_SOURCE="${S}/debian/patches" EPATCH_SUFFIX="patch" \
	EPATCH_FORCE="yes" EPATCH_EXCLUDE="makefile.patch" epatch
	epatch "${FILESDIR}/strEventScript-size.patch"
}

src_compile() {
	use terastation && append-flags "-DTS"
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"

	doman debian/microapl.8
	doman debian/micro_evtd.8
	doman debian/micro_evtd.conf.5
	doman debian/micro_evtd.event.8

	dodoc Changelog
	dodoc README
	dodoc debian/README.Debian

	newinitd "${FILESDIR}"/micro_evtd.initd micro_evtd
}
