#!/bin/sh
if [ -z "$3" ]; then
	echo do-kernel-bump.sh OLDVER NEWVER NAS_PATCHES_VER
	exit
fi

OLD=$1
NEW=$2
VER=$3
PACKAGES="
	sys-kernel/buffalo_ls_chl-sources sys-kernel/linux-buffalo_ls_chl \
	sys-kernel/buffalo_ls_chl2-sources sys-kernel/linux-buffalo_ls_chl2 \
	sys-kernel/buffalo_ls_hgl-sources sys-kernel/linux-buffalo_ls_hgl \
	sys-kernel/buffalo_ls_live-sources sys-kernel/linux-buffalo_ls_live \
	sys-kernel/buffalo_ls_mini-sources sys-kernel/linux-buffalo_ls_mini \
	sys-kernel/buffalo_ls_pro-sources sys-kernel/linux-buffalo_ls_pro \
	sys-kernel/buffalo_ls_pro_duo_rev1-sources sys-kernel/linux-buffalo_ls_pro_duo_rev1 \
	sys-kernel/buffalo_ls_pro_duo_rev2-sources sys-kernel/linux-buffalo_ls_pro_duo_rev2 \
	sys-kernel/buffalo_ls_xhl-sources sys-kernel/linux-buffalo_ls_xhl \
	sys-kernel/freescale_mx53_loco-sources sys-kernel/linux-freescale_mx53_loco \
"

for package in ${PACKAGES}; do
	name=$(echo ${package} | cut -d/ -f2)
	cp ${package}/${name}-${OLD}.ebuild ${package}/${name}-${OLD}.ebuild.old
	sed -e "s:^K_NASPATCHES_VER=.*:K_NASPATCHES_VER=\"${VER}\":" ${package}/${name}-${OLD}.ebuild.old > ${package}/${name}-${NEW}.ebuild
	rm -f ${package}/${name}-${OLD}.ebuild.old
	git add ${package}/${name}-${NEW}.ebuild
	ebuild ${package}/${name}-${NEW}.ebuild manifest
done
