# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils linux-mod

DESCRIPTION="A module that adds proc entries for the Linkstation Pro Duo"
HOMEPAGE="http://download.prodigy7.de/files/packages/linkstation/kernel/lsproduo-vanilla/"
SRC_URI="http://download.prodigy7.de/files/packages/linkstation/kernel/lsproduo-vanilla/modules/experimental/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~arm"
IUSE=""

DEPEND=""

RDEPEND="virtual/linux-sources"

S=${WORKDIR}/lsproduo

pkg_setup() {
	MODULE_NAMES="lsproduo(misc:${S}:${S})"
	BUILD_TARGETS="default"
	BUILD_PARAMS="KSRC=${KERNEL_DIR}"

	if ! linux_chkconfig_present GPIO_SYSFS; then
		ewarn "You don't have GPIO_SYSFS support enabled in the kernel."
		ewarn "The /proc/buffalo simulator wont work."
	fi
}

src_compile() {
	linux-mod_src_compile
}

src_install() {
	linux-mod_src_install
	generate_modulesd
}

pkg_postinst() {
	linux-mod_pkg_postinst
}

pkg_postrm() {
	linux-mod_pkg_postrm
}
