# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils linux-mod

DESCRIPTION="A module that simulates the /proc/buffalo interface"
HOMEPAGE="http://tyche.pu-toyama.ac.jp/~a-urasim/lsxhl/kernel-memo.html"
SRC_URI="http://tyche.pu-toyama.ac.jp/~a-urasim/lsxhl/data/sim_buffalo.tgz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~arm"
IUSE=""

DEPEND=""

RDEPEND="virtual/linux-sources"

S=${WORKDIR}/sim_buffalo

pkg_setup() {
	MODULE_NAMES="sim_buffalo(misc:${S}:${S}/kernel)"
	BUILD_TARGETS="kernel-mod"
	BUILD_PARAMS="KSRC=${KERNEL_DIR}"

	if ! linux_chkconfig_present GPIO_SYSFS; then
		ewarn "You don't have GPIO_SYSFS support enabled in the kernel."
		ewarn "The /proc/buffalo simulator wont work."
	fi
}

src_compile() {
	linux-mod_src_compile
}

src_install() {
	linux-mod_src_install
	generate_modulesd
}

pkg_postinst() {
	linux-mod_pkg_postinst
}

pkg_postrm() {
	linux-mod_pkg_postrm
}
